mod processors;
mod router;
mod routes;
mod utilities;

use dotenvy_macro::dotenv;
use router::create_router;
use std::net::SocketAddr;

pub async fn run() {
    let port = dotenv!("PORT");
    let app = create_router();
    let address = SocketAddr::from(([0, 0, 0, 0], port.parse().unwrap()));

    axum::Server::bind(&address)
        .serve(app.into_make_service())
        .await
        .unwrap();
}
